
# Class: PIMOptionWidget

## Hierarchy

* **PIMOptionWidget**

## Index

### Constructors

* [constructor](pimoptionwidget.md#constructor)

### Properties

* [description](pimoptionwidget.md#optional-description)
* [name](pimoptionwidget.md#name)
* [params](pimoptionwidget.md#params)
* [prompt](pimoptionwidget.md#optional-prompt)
* [title](pimoptionwidget.md#optional-title)
* [type](pimoptionwidget.md#type)

## Constructors

###  constructor

\+ **new PIMOptionWidget**(`widgetHeaderParams`: [IWidgetHeaderParams](../interfaces/iwidgetheaderparams.md), `params`: [IOptionSelectorConfig](../interfaces/ioptionselectorconfig.md)): *[PIMOptionWidget](pimoptionwidget.md)*

**Parameters:**

Name | Type |
------ | ------ |
`widgetHeaderParams` | [IWidgetHeaderParams](../interfaces/iwidgetheaderparams.md) |
`params` | [IOptionSelectorConfig](../interfaces/ioptionselectorconfig.md) |

**Returns:** *[PIMOptionWidget](pimoptionwidget.md)*

## Properties

### `Optional` description

• **description**? : *string*

___

###  name

• **name**: *string*

___

###  params

• **params**: *any*

___

### `Optional` prompt

• **prompt**? : *string*

___

### `Optional` title

• **title**? : *string*

___

###  type

• **type**: *string*
